KDE 4.2 PyKDE API Reference

- KDE's Python API

# TransactionSequence Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Base class for jobs that need to run a sequence of sub-jobs in a transaction.

As soon as the first subjob is added, the transaction is started. As soon as the last subjob has successfully finished, the transaction is committed. If any subjob fails, the transaction is rolled back.

Alternatively, a TransactionSequence object can be used as a parent object for a set of jobs to achieve the same behaviour without subclassing.

Author:
  Volker Krause <vkrause@kde.org>

## Methods

| __init__ (self, QObject parent=0)
bool | addSubjob (self, KJob job)
| commit (self)
| doStart (self)
| slotResult (self, KJob job)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new transaction sequence.

Parameters:

  | parent | The parent object.

bool addSubjob | ( | self, |
|  | KJob | job
| ) |  |  |

commit | ( |  | self ) |

Commits the transaction as soon as all pending sub-jobs finished successfully.

doStart | ( |  | self ) |

slotResult | ( | self, |
|  | KJob | job
| ) |  |  |